
#ifdef CB_MOD_TRACEUPLOADS_ENABLED

#pragma once 
#include "ResizableLib/ResizablePage.h"
#ifdef CB_MOD_TRACEUPLOADS_ENABLED
#include "ClientUploadedListCtrl.h"
#endif

// CSharedFileInfoDlg dialog

class CSharedFileInfoDlg : public CResizablePage
{
	DECLARE_DYNAMIC(CSharedFileInfoDlg)

public:
	CSharedFileInfoDlg();
	virtual ~CSharedFileInfoDlg();

	void Localize();
	void SetFiles(const CSimpleArray<CObject*>* paFiles) { m_paFiles = paFiles; m_bDataChanged = true; }


// Dialog Data
	enum { IDD = IDD_SHAREDFILEINFO_DIALOG };

protected:
	bool m_bDataChanged;
	uint32 m_timer;

	void RefreshData();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnSetActive();
	
	DECLARE_MESSAGE_MAP()
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg LRESULT OnDataChanged(WPARAM, LPARAM);
	
public:
	CClientUploadedListCtrl m_ClientUploadedListCtrl;
	const CSimpleArray<CObject*>* m_paFiles;
};

#endif
